LOCALE::PO4A::DOCBOOK.3PM(1)

NOM
Locale::Po4a::Docbook - Convertir les documents XML DocBook depuis ou vers des fichiers PO

DESCRIPTION
L’objectif du projet po4a [PO for anything — PO pour tout] est de simplifier la traduction (et de façon plus intéressante, la maintenance des traductions) en utilisant les outils gettext dans des domaines pour lesquels ils n’étaient pas destinés, comme la documentation.

Locale::Po4a::Docbook est un module permettant d’aider la traduction de documents XML DocBook dans d’autres langues.

ÉTAT DE CE MODULE
Ce module est complètement fonctionnel, puisqu’il repose sur le module Locale::Po4a::Xml. Il ne fait que définir les balises et attributs à traduire.

Le seul problème connu est qu’il ne supporte toujours pas les entités, cela comprend l’inclusion d’entités dans des fichiers, mais vous pouvez traduire la plupart de ces fichiers séparément (à l’exception des fichiers d’entités typiques), et il est généralement mieux de les maintenir séparés.

REMPLACER LE COMPORTEMENT PAR DÉFAUT AVEC LES OPTIONS EN LIGNE DE COMMANDE
Le comportement par défaut des modules fournis par le système est réglé pour être sûr.

Par exemple, la valeur par défaut de la balise <author> vise à ce qu'elle apparaisse sous <para>. Mais il se peut que vous ne l'utilisiez que sous <bookinfo>. Dans ce cas, vous pouvez vouloir le traduire indépendamment pour chaque auteur.

Si vous n'appréciez pas le comportement par défaut du module xml et de ses dérivés, vous pouvez spécifier certaines options par lignes de commande afin de changer leur comportement. Par exemple, vous pouvez ajouter ce qui suit au fichier de configuration po4a :

  opt:"-k 0 -o nodefault=\"<bookinfo> <author>\" \
            -o break=\"<bookinfo> <author>\" \
            -o untranslated=\"<bookinfo>\" \
            -o translated=\"<author>\""

Ceci remplace le comportement par défaut de <bookinfo> et < <author>, définit <bookinfo> et <author> pour interrompre le flux de données d'entrée sur ces balises, définit <bookinfo> pour ne pas traduire son contenu balisé, et définit <author> pour traduire son contenu balisé.

VOIR AUSSI
Locale::Po4a::TransTractor(3pm), Locale::Po4a::Xml(3pm), po4a(7)

AUTEURS
 Jordi Vilalta <jvprat@gmail.com>

TRADUCTION
 Martin Quinson (mquinson#debian.org)

COPYRIGHT ET LICENCE
 Copyright © 2004 Jordi Vilalta  <jvprat@gmail.com>
 Copyright © 2007-2009 Nicolas François <nicolas.francois@centraliens.net>

Ce programme est un logiciel libre ; vous pouvez le copier et / ou le modifier sous les termes de la GPL v2.0 ou suivante (voir le fichier COPYING).